import { jsx, jsxs } from "react/jsx-runtime";
import React from "react";
import { render } from "@testing-library/react";
import { ThemeProvider, List } from "../..";
describe("<List />", () => {
  describe("Snapshots", () => {
    describe("Without props", () => {
      it("should match snapshot with a default list", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(List, { children: /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) }) }) })
        );
        expect(container).toMatchSnapshot();
      });
      it("should match snapshot with a default list and multiple items", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsxs(List, { children: [
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) }),
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) })
          ] }) })
        );
        expect(container).toMatchSnapshot();
      });
      it("should match snapshot with a default list, multiple items and no dividers", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsxs(List, { divided: false, children: [
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) }),
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) })
          ] }) })
        );
        expect(container).toMatchSnapshot();
      });
      it("should match snapshot with a horizontal list", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(List, { horizontal: true, children: /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("button", { type: "button", children: "List test" }) }) }) })
        );
        expect(container).toMatchSnapshot();
      });
      it("should match snapshot with a horizontal list and multiple items", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsxs(List, { horizontal: true, children: [
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) }),
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) })
          ] }) })
        );
        expect(container).toMatchSnapshot();
      });
      it("should match snapshot with a horizontal list, multiple items and no dividers", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsxs(List, { horizontal: true, divided: false, children: [
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) }),
            /* @__PURE__ */ jsx(List.Item, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) })
          ] }) })
        );
        expect(container).toMatchSnapshot();
      });
      it("should match snapshot with a default list and using a link item", () => {
        const { container } = render(
          /* @__PURE__ */ jsx(ThemeProvider, { children: /* @__PURE__ */ jsx(List, { children: /* @__PURE__ */ jsx(List.LinkItem, { children: /* @__PURE__ */ jsx("div", { children: "List test" }) }) }) })
        );
        expect(container).toMatchSnapshot();
      });
    });
  });
});
